# -*- coding: utf-8 -*-

from gi.repository import GLib
from .base_view import BaseView


class BaseGtkView(BaseView):
    """Implementation of BaseView for GObject classes.

    Notes:
        GTK classes are not `super()` compliant. If used as base class, they
        must be in the lats position of the base class list.
        Also, a View class inheriting from a GTK class must not have child
        class (MRO is broken by GTK class).
    """

    @staticmethod
    def async_gui_exec(fn, *args, **kwargs):
        # We use a lambda here because GLib.idle_add don't support kwargs
        GLib.idle_add(lambda: fn(*args, **kwargs))

    @staticmethod
    def is_in_gui_thread():
        return GLib.MainContext.default().is_owner()
