

from ..base_view import BaseView


class WindowTrait(BaseView):
    """Base trait for Window elements."""

    def show(self):
        """Show the window and set it in foreground.

        After that call, the window must be above all others windows.
        """
        return super(WindowTrait, self).show()

    def hide(self):
        """Hide the window."""
        return super(WindowTrait, self).hide()

    def is_in_use(self):
        """Determine if the window currently is in use.

        The Window is considered in use if it's visible by the user.
        A minimized window is is still considered in use.

        If the information is not available, True should be returned.

        Returns:
            bool: `True` if visible; `False` if not.
        """
        return super(WindowTrait, self).is_in_use()
