# -*- coding: utf-8 -*-

from ...base_view import BaseView
from ...traits import WindowTrait


class AboutWindowBaseView(WindowTrait, BaseView):
    """Base view of the "About" window

    Attributes:
        app_version (Text): app version displayed.
    """

    def __init__(self, app_version, **kwargs):
        """

        Args:
            app_version (Text)
        """
        super(AboutWindowBaseView, self).__init__(**kwargs)
        self.app_version = app_version

        self.bug_report_action = self.action('bug_report')
        self.open_webpage_action = self.action('open_webpage')
        self.close_action = self.action('close')

    def notify_lang_change(self):
        raise NotImplementedError()

    def destroy(self):
        """Close the Window and release resources."""
        pass
