
from ...base_view import BaseView
from ...traits import WindowTrait


class AccountDeletionWindowBaseView(WindowTrait, BaseView):

    def __init__(self, parent, **kwargs):
        """
        Args:
            parent: parent Window. Must be a View.
        """
        super(AccountDeletionWindowBaseView, self).__init__(parent=parent,
                                                            **kwargs)
        self.delete_account_action = self.action('delete_account')
        self.send_cancel_action = self.action('send_cancel')

    def destroy(self):
        """Destroy the window"""
        pass

    def notify_lang_change(self):
        pass

    def show_modal(self):
        """Show the Window, and make it modal."""
        pass

    def show_error(self, error):
        """Display an error message.

        Args:
            error (Text): error message
        """
        pass

    def enable(self):
        pass

    def disable(self):
        pass
